UpdateParameters (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class UpdateParameters

- java.lang.Object
- - org.apache.cassandra.cql3.UpdateParameters

-     public class UpdateParameters
      extends java.lang.Object

  A simple container that simplify passing parameters for collections methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `localDeletionTime`
    `CFMetaData` | `metadata`
    `QueryOptions` | `options`
    `long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateParameters(CFMetaData metadata, QueryOptions options, long timestamp, int ttl, java.util.Map<java.nio.ByteBuffer,CQL3Row> prefetchedLists)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Cell>` | `getPrefetchedList(java.nio.ByteBuffer rowKey, ColumnIdentifier cql3ColumnName)`
    `Cell` | `makeColumn(CellName name, java.nio.ByteBuffer value)`
    `Cell` | `makeCounter(CellName name, long delta)`
    `RangeTombstone` | `makeRangeTombstone(ColumnSlice slice)`
    `Cell` | `makeTombstone(CellName name)`
    `RangeTombstone` | `makeTombstoneForOverwrite(ColumnSlice slice)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### metadata

          public final CFMetaData metadata

    - #### options

          public final QueryOptions options

    - #### timestamp

          public final long timestamp

    - #### localDeletionTime

          public final int localDeletionTime

  - ### Constructor Detail

    - #### UpdateParameters

          public UpdateParameters(CFMetaData metadata,
                          QueryOptions options,
                          long timestamp,
                          int ttl,
                          java.util.Map<java.nio.ByteBuffer,CQL3Row> prefetchedLists)

  - ### Method Detail

    - #### makeColumn

          public Cell makeColumn(CellName name,
                        java.nio.ByteBuffer value)
                          throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### makeCounter

          public Cell makeCounter(CellName name,
                         long delta)
                           throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### makeTombstone

          public Cell makeTombstone(CellName name)
                             throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### makeRangeTombstone

          public RangeTombstone makeRangeTombstone(ColumnSlice slice)
                                            throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### makeTombstoneForOverwrite

          public RangeTombstone makeTombstoneForOverwrite(ColumnSlice slice)
                                                   throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### getPrefetchedList

          public java.util.List<Cell> getPrefetchedList(java.nio.ByteBuffer rowKey,
                                               ColumnIdentifier cql3ColumnName)

Copyright © 2014 The Apache Software Foundation